Bug 173128 - support adding/removing Cc with XML-RPC.
support adding/removing Cc with XML-RPC.
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.2
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-14 08:59 EST by Akira TAGOH
Modified: 2013-06-23 23:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 21:48:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2005-11-14 08:59:52 EST
Description of problem:
There is no way of adding/removing Cc via XML-RPC. it would be useful to manage
the bugs without the web interface and not sure if it has already been available
though.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Lawrence 2006-04-08 13:58:02 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 2 David Lawrence 2008-09-16 12:53:56 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 3 Noura El hawary 2008-12-01 21:48:35 EST
in the current bugzilla 3.2 xmlrpc API you can add/remove cc from bugs as the following:

 $call = $rpc->call( 'Bug.update', {ids => [1,2], updates => {add_cc => ['testuser@test.com',  'testuser2@redhat.com'], delete_cc => ['testuser3@test.com']}});

you can get the documentation on how to use the Bug.update xmlrpc function at:
https://bugzilla.redhat.com/docs/en/html/api/Bugzilla/WebService/Bug.html

Noura

Note You need to log in before you can comment on or make changes to this bug.